/**
 * Get the past challenges.
 *
 * ## Requires to log in before.
 *
 * @param {string} cookies - The cookies string that you obtain when you're logging in with loginCodinGamer
 * @param {number} userId - User's ID
 *
 */
export declare const getPastChallenges: (cookies: string, userId: number) => Promise<IPastChallenge[]>;
export interface IPastChallenge {
    title: string;
    date: number;
    publicId: string;
    cover1Id: number;
    logoId: number;
    descriptionJson: string | undefined;
    endApplicationsDate: number;
    applicationsClosed: boolean;
}
